WPA_PASSPHRASE(8)

NAME
wpa_passphrase - Set WPA passphrase for a SSID

SYNOPSIS
wpa_passphrase ssid passphrase

DESCRIPTION
The wpa_passphrase utility pre-computes PSK entries for network configuration blocks of a wpa_supplicant.conf(5) file. It prints a single network configuration block to standard output.

The following arguments must be specified on the command line:

ssid
    The SSID whose passphrase should be derived.

passphrase
    The passphrase to use. If not included on the command line, passphrase will be read from standard input. The passphrase must be 8 to 63 characters in length.

SEE ALSO
wpa_supplicant.conf(5), ifconfig(8), wpa_cli(8), wpa_supplicant(8)

HISTORY
The wpa_passphrase utility first appeared in NetBSD 4.0.

AUTHORS
The wpa_passphrase utility was written by Jouni Malinen <jkmaline@cc.hut.fi>. This manual page is derived from the wpa_passphrase.sgml file included in the wpa_supplicant(8) distribution.